FROM golang:1.21.2-alpine AS builder
COPY . /go/src/gitlab.com/timofeev.pavel.art/wallet
WORKDIR /go/src/gitlab.com/timofeev.pavel.art/wallet
RUN go mod download
RUN go build -ldflags="-w -s" -o /go/bin/job /go/src/gitlab.com/timofeev.pavel.art/wallet/cmd/job

FROM alpine
COPY --from=builder /go/bin/job /go/bin/job
COPY ./static/swagger.json /app/static/swagger.json
COPY ./.env /app/.env

WORKDIR /app

ENTRYPOINT ["/go/bin/job"]
